/* ***** BEGIN LICENSE BLOCK *****
 * Version: MPL 1.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is DogStar SOFTWARE PiXML Public Module.
 *
 * The Initial Developer of the Original Code is
 * James Tyson, DogStar SOFTWARE <james@thedogstar.org>.
 * Portions created by the Initial Developer are Copyright (C) 2005
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s):
 *   None.
 *
 * ***** END LICENSE BLOCK ***** */

constant __author = "James Tyson <james@thedogstar.org>";
constant __version = "1.0";
constant JavaScript = #string"PiJAX.js";
constant XML = 1;

string serialise(mixed ... args) {
  return .Serialise.serialise(@args);
}

string serialize(mixed ... args) {
  return .Serialise.serialise(@args);
}

mixed parse(string xml) {
  return .Parse.parse(xml);
}

string|array supported(void|int xml) {
  array _supported = 
    ({
     "int", "float", "string", "array", "multiset", "mapping",
#if constant(Image.Image) && constant(Image.PNG)
     "Image.Image",
#endif
     });
  if (xml)
    return serialise(_supported);
  else
    return _supported;
}
